hp-plugin installation failed

Asked by prof2004 on 2018-12-12

Hi,
I am running a system with the following uname -a output:
Linux udo 4.15.0-42-generic #45-Ubuntu SMP Thu Nov 15 19:32:57 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

I have purged all old hplip packages and have installed hplip-3.18.12 from
https://developers.hp.com/hp-linux-imaging-and-printing/gethplip

installation is without error

I am using a hp_laserjet_mfp_m426dw, who can be accessed as a printer with driver HP Laserjet Pro MFP M426-M427.

Running hp-setup with search via WLAN finds the printer, but tells me that a plugin is neccessary.
Running hp-plugin leads to an install, which fails with error:

Plugin installation failed
error: Python gobject/dbus may be not installed
error: Plug-in install failed

checking the status of python-dbus brings the result installed with version 1.2.6-1.

Pls Help

Question information

Language:
English Edit question
Status:
Answered
For:
HPLIP Edit question
Assignee:
No assignee Edit question
Last query:
2018-12-14
Last reply:
2019-07-03

Hi prof2004,

In Ubuntu 18.10 the python symbolic link is missing.
Please check typing
which python.
If you see any output then please attach log file.
Otherwise sudo ln -sf /usr/bin/python3 /usr/bin/python

Thanks,
Umesh

prof2004 (jdokupil) said : #2

python -> python2.7
python3 -> python3.6

Shall I create the link you suggested? It would modify the behavior from python2.7 to python3.6, I think ...

Hi Prof2004,

It's good do not change the path. Could you try to download the plugin "hplip-3.18.12-plugin.run" file from the below path and use "sh hplip-3.18.12-plugin.run" command to install the plugin file

https://developers.hp.com/hp-linux-imaging-and-printing/plugins

If you still face any issue. Please let us know.

Thanks,
Umesh

Tested with 3.19.6 - it doesn't work.

Can you help with this problem?

Provide an answer of your own, or ask prof2004 for more information if necessary.

To post a message you must log in.